#!/bin/bash

CURRENTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# Edit the RaspdacDisplay.py to get MAC dynamically (eth0 / wlan0) during startup and set LMS_PLAYER

ETH0=$(cat /sys/class/net/eth0/operstate)
if [ "$ETH0" = "up" ]; then
    INTERFACE=eth0
else
    INTERFACE=wlan0
fi
if [ -e /sys/class/net/$INTERFACE/address ]; then
  MAC="-m $(cat /sys/class/net/$INTERFACE/address)"
  echo "Use Interface $INTERFACE with $MAC"
else
  MAC=""
fi

sed -i 's/LMS_PLAYER.*/LMS_PLAYER=$MAC/' /opt/Raspdac-Display/RaspdacDisplay.py



echo "finished - Reboot needed: <b><a href='/plugins/max2play_settings/controller/Basic.php?action=reboot&redirecturl=/plugins/justboom/controller/Setup.php'>Click here to Restart Device</a></b>";

exit 0